Bug 1307084 - Events list can hold only 4 items
Events list can hold only 4 items
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity medium
: ---
: 2
Assigned To: sankarshan
sds-qe-bugs
:
: 1308477 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 11:28 EST by Martin Bukatovic
Modified: 2016-07-21 09:14 EDT (History)
4 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of Events list (42.18 KB, image/png)
2016-02-12 11:28 EST, Martin Bukatovic
no flags Details
wrong designed list of events (55.36 KB, image/png)
2016-06-02 08:24 EDT, Martin Kudlej
no flags Details

  None (edit)
Description Martin Bukatovic 2016-02-12 11:28:10 EST
Created attachment 1123574 [details]
screenshot of Events list

Description of problem
======================

Events popup list can show 4 items only in a readable way.

Version-Release number of selected component
============================================

# rpm -qa 'rhscon*'
rhscon-ceph-0.0.6-2.el7.x86_64
rhscon-ui-0.0.11-1.el7.noarch
rhscon-core-0.0.8-2.el7.x86_64

How reproducible
================

100 %

Steps to Reproduce
==================

1. Install skyring on server and prepare few hosts for cluster setup
2. Accept 5 nodes (any number > 4 could be used to reproduce this BZ)

Assuming no error happens, 5 events should be generated.

Actual results
==============

There are 5 event items in the Events list, but the last one is out
of the list box.

Expected results
================

When there are more than 4 event items, the Events list should still
be able to show them all (scrollbar?).

Additional info
===============

The fix of this BZ should be designed to handle large number of events,
such as 50 or 100.
Comment 1 Lubos Trilety 2016-02-15 05:34:49 EST
*** Bug 1308477 has been marked as a duplicate of this bug. ***
Comment 3 Martin Bukatovic 2016-03-02 03:42:10 EST
QE note: make sure this is tested with just 4, 5 and 6 items. In the current
version it seems that a scrollbar is shown for 6 items, but for 5 items the
last one still overflows out of the events list.
Comment 5 Martin Kudlej 2016-06-02 08:24 EDT
Created attachment 1164054 [details]
wrong designed list of events

There is still this issue in packages:
ceph-ansible-1.0.5-15.el7scon.noarch
ceph-installer-1.0.11-1.el7scon.noarch
rhscon-ceph-0.0.19-1.el7scon.x86_64
rhscon-core-0.0.20-1.el7scon.x86_64
rhscon-ui-0.0.34-1.el7scon.noarch
Comment 6 Martin Kudlej 2016-07-21 09:14:36 EDT
Tested with 
ceph-ansible-1.0.5-31.el7scon.noarch
ceph-installer-1.0.14-1.el7scon.noarch
rhscon-ceph-0.0.34-1.el7scon.x86_64
rhscon-core-0.0.35-1.el7scon.x86_64
rhscon-core-selinux-0.0.35-1.el7scon.noarch
rhscon-ui-0.0.49-1.el7scon.noarch

and it works.

Note You need to log in before you can comment on or make changes to this bug.